import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _SKPayment } from "./SKPayment.js";
import type { SKPaymentTransactionState } from "./SKPaymentTransactionState.js";
export declare class _SKPaymentTransaction extends _NSObject {
    static alloc(): _SKPaymentTransaction;
    static new(): _SKPaymentTransaction;
    init(): _SKPaymentTransaction;
    /** Only set if state is SKPaymentTransactionFailed */
    error(): _NSError | null;
    /**
     * Only valid if state is SKPaymentTransactionStateRestored.
     * @deprecated Hosted content is no longer supported.
     */
    originalTransaction(): _SKPaymentTransaction | null;
    /** @deprecated Hosted content is no longer supported. */
    payment(): _SKPayment;
    /**
     * Available downloads (SKDownload) for this transaction
     * @deprecated Hosted content is no longer supported.
     */
    downloads(): _NSArray;
    /**
     * The date when the transaction was added to the server queue. Only valid if state is SKPaymentTransactionStatePurchased or SKPaymentTransactionStateRestored.
     */
    transactionDate(): _NSDate | null;
    /**
     * The unique server-provided identifier. Only valid if state is SKPaymentTransactionStatePurchased or SKPaymentTransactionStateRestored.
     * @deprecated -[NSBundle appStoreReceiptURL]
     */
    transactionIdentifier(): _NSString | null;
    /**
     * Only valid if state is SKPaymentTransactionStatePurchased.
     * @deprecated -[NSBundle appStoreReceiptURL]
     */
    transactionReceipt(): _NSData;
    transactionState(): SKPaymentTransactionState;
}
